<?php
/**
 * @file
 * stakhanov_blog.context.inc
 */

/**
 * Implements hook_context_default_contexts().
 */
function stakhanov_blog_context_default_contexts() {
  $export = array();

  $context = new stdClass();
  $context->disabled = FALSE; /* Edit this to true to make a default context disabled initially */
  $context->api_version = 3;
  $context->name = 'blog_menutrail';
  $context->description = 'Activer l\'élément de menu « Blog » (+ fil d\'Ariane)';
  $context->tag = 'blog';
  $context->conditions = array(
    'node' => array(
      'values' => array(
        'blog' => 'blog',
      ),
      'options' => array(
        'node_form' => '1',
      ),
    ),
  );
  $context->reactions = array(
    'breadcrumb' => 'blog',
    'menu' => 'blog',
  );
  $context->condition_mode = 0;

  // Translatables
  // Included for use with string extractors like potx.
  t('Activer l\'élément de menu « Blog » (+ fil d\'Ariane)');
  t('blog');
  $export['blog_menutrail'] = $context;

  return $export;
}
