<?php
/**
 * @file
 * stakhanov_blog.features.inc
 */

/**
 * Implements hook_ctools_plugin_api().
 */
function stakhanov_blog_ctools_plugin_api($module = NULL, $api = NULL) {
  if ($module == "context" && $api == "context") {
    return array("version" => "3");
  }
  if ($module == "strongarm" && $api == "strongarm") {
    return array("version" => "1");
  }
}

/**
 * Implements hook_views_api().
 */
function stakhanov_blog_views_api($module = NULL, $api = NULL) {
  return array("api" => "3.0");
}

/**
 * Implements hook_node_info().
 */
function stakhanov_blog_node_info() {
  $items = array(
    'blog' => array(
      'name' => t('Articles de blog'),
      'base' => 'node_content',
      'description' => t('Utilisez ce type de contenu pour créer des articles de blog'),
      'has_title' => '1',
      'title_label' => t('Titre'),
      'help' => '',
    ),
  );
  return $items;
}
