<?php
/**
 * @file
 * stakhanov_blog.features.user_permission.inc
 */

/**
 * Implements hook_user_default_permissions().
 */
function stakhanov_blog_user_default_permissions() {
  $permissions = array();

  // Exported permission: 'create blog content'.
  $permissions['create blog content'] = array(
    'name' => 'create blog content',
    'roles' => array(
      'admin' => 'admin',
      'designer' => 'designer',
      'rédacteur' => 'rédacteur',
      'référenceur' => 'référenceur',
    ),
    'module' => 'node',
  );

  // Exported permission: 'delete any blog content'.
  $permissions['delete any blog content'] = array(
    'name' => 'delete any blog content',
    'roles' => array(
      'admin' => 'admin',
      'designer' => 'designer',
      'rédacteur' => 'rédacteur',
      'référenceur' => 'référenceur',
    ),
    'module' => 'node',
  );

  // Exported permission: 'delete own blog content'.
  $permissions['delete own blog content'] = array(
    'name' => 'delete own blog content',
    'roles' => array(
      'admin' => 'admin',
    ),
    'module' => 'node',
  );

  // Exported permission: 'delete terms in blog_tags'.
  $permissions['delete terms in blog_tags'] = array(
    'name' => 'delete terms in blog_tags',
    'roles' => array(
      'admin' => 'admin',
      'designer' => 'designer',
      'rédacteur' => 'rédacteur',
      'référenceur' => 'référenceur',
    ),
    'module' => 'taxonomy',
  );

  // Exported permission: 'edit any blog content'.
  $permissions['edit any blog content'] = array(
    'name' => 'edit any blog content',
    'roles' => array(
      'admin' => 'admin',
      'designer' => 'designer',
      'rédacteur' => 'rédacteur',
      'référenceur' => 'référenceur',
    ),
    'module' => 'node',
  );

  // Exported permission: 'edit own blog content'.
  $permissions['edit own blog content'] = array(
    'name' => 'edit own blog content',
    'roles' => array(
      'admin' => 'admin',
    ),
    'module' => 'node',
  );

  // Exported permission: 'edit terms in blog_tags'.
  $permissions['edit terms in blog_tags'] = array(
    'name' => 'edit terms in blog_tags',
    'roles' => array(
      'admin' => 'admin',
      'designer' => 'designer',
      'rédacteur' => 'rédacteur',
      'référenceur' => 'référenceur',
    ),
    'module' => 'taxonomy',
  );

  return $permissions;
}
