<?php
/**
 * @file
 * stakhanov_textformats.features.user_permission.inc
 */

/**
 * Implements hook_user_default_permissions().
 */
function stakhanov_textformats_user_default_permissions() {
  $permissions = array();

  // Exported permission: 'administer ckeditor'.
  $permissions['administer ckeditor'] = array(
    'name' => 'administer ckeditor',
    'roles' => array(
      'admin' => 'admin',
    ),
    'module' => 'ckeditor',
  );

  // Exported permission: 'administer filters'.
  $permissions['administer filters'] = array(
    'name' => 'administer filters',
    'roles' => array(
      'admin' => 'admin',
    ),
    'module' => 'filter',
  );

  // Exported permission: 'customize ckeditor'.
  $permissions['customize ckeditor'] = array(
    'name' => 'customize ckeditor',
    'roles' => array(
      'admin' => 'admin',
    ),
    'module' => 'ckeditor',
  );

  // Exported permission: 'use text format full_html'.
  $permissions['use text format full_html'] = array(
    'name' => 'use text format full_html',
    'roles' => array(
      'admin' => 'admin',
      'designer' => 'designer',
      'rédacteur' => 'rédacteur',
      'référenceur' => 'référenceur',
    ),
    'module' => 'filter',
  );

  // Exported permission: 'use text format plain_text'.
  $permissions['use text format plain_text'] = array(
    'name' => 'use text format plain_text',
    'roles' => array(
      'admin' => 'admin',
    ),
    'module' => 'filter',
  );

  return $permissions;
}
