<?php

function _stakhanov_accueil(&$context) {
  $context['message'] = st('Création du contenu de la page d\'accueil');

  // Création d'un nœud de type Page
  $node = new stdClass();
  $node->type = 'page';
  node_object_prepare($node);
  $node->title = 'Page d\'accueil';
  $node->language = 'fr';
  $node->body[LANGUAGE_NONE][0]['value']   = 'Contenu de la page d\'accueil';
  $node->body[LANGUAGE_NONE][0]['format']  = 'full_html';
  $node->uid = 1;
  $node->promote = 0;
  $node->comment = 0;
  node_save($node);

  // Définir le nid obtenu comme page d'accueil
  variable_set('site_frontpage', 'node/' . $node->nid);

  // Créer lien vers la page d'accueil
  $home_link = array(
    'link_path' => '<front>',
    'link_title' => 'Accueil',
    'description' => '',
    'menu_name' => 'main-menu',
    'weight' => -10,
  );
  menu_link_save($home_link);
}
